<?php
/**
 * Theme Bee Admin Class.
 *
 * @package Theme Bee
 * @since   1.0.0
 */
if (!defined('ABSPATH')) {
    exit;
}
if (!class_exists('Bee_Corp_Admin')) :
    /**
     * Bee_Corp_Admin Class.
     */
    class Bee_Corp_Admin
    {
        /**
         * Constructor.
         */
        public function __construct()
        {
            add_action('admin_enqueue_scripts', array($this, 'enqueue_scripts'));
        }

        /**
         * Localize array for import button AJAX request.
         */
        public function enqueue_scripts()
        {
            wp_enqueue_style(
                'bee-corp-admin-style',
                get_template_directory_uri() . '/inc/dashboard/css/admin.css',
                array(),
                BEE_CORP_VERSION
            );

            wp_enqueue_script('bee-corp-plugin-install-helper', get_template_directory_uri() . '/inc/dashboard/js/admin.js', array('jquery'), BEE_CORP_VERSION);
            $bee_corp_welcome_data = array(
                'uri' => esc_url(admin_url('/themes.php?page=bee-corp&tab=starter-templates')),
                'btn_text' => esc_html__('Processing...', 'bee-corp'),
                'nonce' => wp_create_nonce('bee_corp_demo_import_nonce'),
                'admin_url' => esc_url(admin_url()),
                'ajaxurl' => admin_url('admin-ajax.php'), // Include this line for using admin-ajax.php
            );
            wp_localize_script('bee-corp-plugin-install-helper', 'beecorpRedirectDemoPage', $bee_corp_welcome_data);
        }

        
    }
endif;
return new Bee_Corp_Admin();
